## org.eclipse.emf.spi.cdo
Interface InternalCDORemoteSessionManager

All Superinterfaces:
  CDORemoteSessionManager, org.eclipse.net4j.util.container.IContainer<CDORemoteSession>, org.eclipse.net4j.util.lifecycle.ILifecycle, org.eclipse.net4j.util.lifecycle.ILifecycle.Introspection, org.eclipse.net4j.util.event.INotifier

    public interface InternalCDORemoteSessionManager

extends CDORemoteSessionManager, org.eclipse.net4j.util.lifecycle.ILifecycle.Introspection

Since:
  2.0

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer
`org.eclipse.net4j.util.container.IContainer.Modifiable<E>`

Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier
`org.eclipse.net4j.util.event.INotifier.Introspection`

Nested classes/interfaces inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle
`org.eclipse.net4j.util.lifecycle.ILifecycle.Introspection`

Method Summary
`CDORemoteSession` `createRemoteSession(int sessionID, java.lang.String userID, boolean subscribed)`
`void` `handleRemoteSessionClosed(int sessionID)`
`void` `handleRemoteSessionOpened(int sessionID, java.lang.String userID)`
`void` `handleRemoteSessionSubscribed(int sessionID, boolean subscribed)`

Methods inherited from interface org.eclipse.emf.cdo.session.remote.CDORemoteSessionManager
`getLocalSession, getRemoteSessions, isForceSubscription, isSubscribed, setForceSubscription`

Methods inherited from interface org.eclipse.net4j.util.container.IContainer
`getElements, isEmpty`

Methods inherited from interface org.eclipse.net4j.util.event.INotifier
`addListener, removeListener`

Methods inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle.Introspection
`getLifecycleState, isActive`

Methods inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle
`activate, deactivate`

Method Detail

### createRemoteSession

    CDORemoteSession createRemoteSession(int sessionID,
                                         java.lang.String userID,
                                         boolean subscribed)

### handleRemoteSessionOpened

    void handleRemoteSessionOpened(int sessionID,
                                   java.lang.String userID)

### handleRemoteSessionClosed

    void handleRemoteSessionClosed(int sessionID)

### handleRemoteSessionSubscribed

    void handleRemoteSessionSubscribed(int sessionID,
                                       boolean subscribed)

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.